<!--
~ Copyright (c) 2005-2010, WSO2 Inc. (http://www.wso2.org) All Rights Reserved.
~
~ WSO2 Inc. licenses this file to you under the Apache License,
~ Version 2.0 (the "License"); you may not use this file except
~ in compliance with the License.
~ You may obtain a copy of the License at
~
~ http://www.apache.org/licenses/LICENSE-2.0
~
~ Unless required by applicable law or agreed to in writing,
~ software distributed under the License is distributed on an
~ "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
~ KIND, either express or implied. See the License for the
~ specific language governing permissions and limitations
~ under the Lice nse.
-->
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>
<%@ taglib prefix="carbon" uri="http://wso2.org/projects/carbon/taglibs/carbontags.jar" %>
<script type="text/javascript" src="../issue/js/validate.js"></script>

<fmt:bundle basename="org.wso2.carbon.issue.tracker.ui.i18n.Resources">
    <carbon:breadcrumb label="New Jira Account"
                       resourceBundle="org.wso2.carbon.issue.tracker.ui.i18n.Resources"
                       topPage="false" request="<%=request%>"/>




    <div id="middle">


        <h2><fmt:message key="add.new.jira.account"/></h2>


        <div id="workArea">
            <form action='addAccountProcessor.jsp' method="POST" name="accountForm" id="accountForm">

                <table class="styledLeft noBorders" id="editAccountTable">
                    <thead>
                    <tr>
                        <th colspan="3"><fmt:message key="account.add"/></th>
                    </tr>
                    </thead>
                    <tbody>


                    <tr>
                        <td style="width:100px;"
                        "><fmt:message key="new.jira.key"/><span
                            class='required'>*</span></td>
                        <td align="left">
                            <input type="text" id="txtKey" name="key" class="longInput"
                                   rows="6">
                        </td>
                    </tr>

                    <tr>
                        <td style="width:100px;"><fmt:message key="new.jira.url"/><span
                                class='required'>*</span></td>

                        <td align="left">
                            <input type="text" id="txtURL" name="URL" class="longInput"
                                   rows="6">
                        </td>

                    </tr>

                    <tr>
                        <td colspan="2" style="padding-left: 130px ! important; color: rgb(119, 119, 119);"
                            align="center">
                            <label>(e.g. https://support.wso2.com/jira)</label></td>
                    </tr>

                    <tr>
                        <td style="width:100px;"><fmt:message key="new.jira.username"/><span
                                class='required'>*</span></td>
                        <td align="left">
                            <input type="text" id="txtUserName" name="username" class="longInput"
                                   rows="6">
                        </td>
                    </tr>
                    <tr>
                        <td colspan="2" style="padding-left: 130px ! important; color: rgb(119, 119, 119);"
                            align="center">
                            <label>(e.g. someone.wso2.com)</label>
                        </td>
                    </tr>

                    <tr>
                        <td style="width:100px;"><fmt:message key="new.jira.password"/><span
                                class='required'>*</span></td>
                        <td align="left">
                            <input type="password" id="txtPassword" name="password"
                                   class="password"
                                   rows="6">

                        </td>
                    </tr>

                    <tr>
                        <td style="width:100px;">
                            <nobr><fmt:message key="new.jira.retype.password"/></nobr><span
                                class='required'>*</span></td>
                        <td align="left">
                            <input type="password" id="txtRetypePassword" name="retypePassword"
                                   class="password"
                                   rows="6">

                        </td>
                    </tr>

                    </tbody>
                </table>


                <table class="normal">
                    <tr>
                        <td>
                            <input type="button"
                                   value="<fmt:message key="new.jira.save"/>"
                                   onclick="validateLoginForm()"
                                   class="button"/>
                            <input class="button" type="reset"
                                   value="<fmt:message key="cancel"/>"
                                   onclick="document.location.href='viewAccounts.jsp'"/>

                        </td>
                    </tr>
                </table>
            </form>


        </div>


</fmt:bundle>